### Returns the integral of a function defined sampled at scattered
### points (x,y,z). The input is an N by 3 matrix where each row of the
### matrix contains one such sample point.

function out = scattint(f)
  T = delaunay(f(:,1),f(:,2));
  x = f(:,1)(T);
  y = f(:,2)(T);
  z = f(:,3)(T);
  
  ##The Jacobian determinant
  D = abs((x(:,2) - x(:,1)).*(y(:,3) - y(:,1)) - 
	  (x(:,3) - x(:,1)).*(y(:,2) - y(:,1)));
  z = sum(z,2)/6;
  out = sum(D.*z);
endfunction